Unixutils-1.54.3: A crude interface between Haskell and Unix-like operating systems

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Unix.FilePath

Description

The function splitFileName is taken from missingh, at the moment missingh will not build under sid.

Synopsis

- dirName :: FilePath -> FilePath
- baseName :: FilePath -> String
- realpath :: FilePath -> IO FilePath
- (<++>) :: FilePath -> FilePath -> FilePath

# Documentation

dirName :: FilePath -> FilePath Source #

Use dropFileName

baseName :: FilePath -> String Source #

Use takeFileName

realpath :: FilePath -> IO FilePath Source #

resolve all references to ., .., extra slashes, and symlinks

(<++>) :: FilePath -> FilePath -> FilePath Source #

Concatenate two paths, making sure there is exactly one path separator.